Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Axis3 Class Reference

三次元軸 More...

`#include <Axis3.h>`

List of all members.

## Public Member Functions
| Axis3 ()
| コンストラクタ
| Axis3 (const Axis3 &source)
| コピーコンストラクタ
virtual | ~Axis3 ()
| デストラクタ
virtual void | setScale (const Vector3 &scale)
| スケールの設定
virtual const Vector3 & | getScale () const
| スケールの取得
virtual bool | isScaled () const
| スケールを使用しているか
virtual void | setRotationXYZ (const Vector3 &rotation)
| XYZ回転の設定.
virtual const Vector3 & | getRotationXYZ ()
| XYZ回転の取得.
virtual void | setRotationQuaternion (const Quaternion &rotation)
| 四元数回転の設定
virtual const Quaternion & | getRotationQuaternion ()
| 四元数回転の取得
virtual void | setTranslation (const Vector3 &translation)
| 移動の設定
virtual const Vector3 & | getTranslation () const
| 移動の取得
virtual bool | buildMatrix ()
| 行列の構築
virtual const Matrix34 & | getMatrix () const
| 行列の取得
virtual bool | isChanged () const
| 軸が変更されているか
## Protected Attributes
Matrix34 | matrix_
| 行列
Quaternion | quaternion_
| 四元数回転
Vector3 | scale_
| スケール
Vector3 | euler_
| オイラー回転
Vector3 | translation_
| 移動
bool | validEuler_
| オイラー回転が有効か
bool | validQuaternion_
| 四元数回転が有効か
bool | isChanged_
| 変更フラグ

## Detailed Description

三次元軸

Definition at line 38 of file Axis3.h.

## Constructor & Destructor Documentation

Lamp::Axis3::Axis3 | ( | const Axis3 & | source | ) | `[inline]`

  | コピーコンストラクタ Parameters:
  source | コピー元
Definition at line 54 of file Axis3.h. References euler_, isChanged_, matrix_, quaternion_, scale_, translation_, validEuler_, and validQuaternion_.

## Member Function Documentation

virtual bool Lamp::Axis3::buildMatrix | ( |  | ) | `[inline, virtual]`

| 行列の構築 Returns: 再構築したならばtrue Definition at line 162 of file Axis3.h. References Assert, euler_, isChanged_, matrix_, quaternion_, scale_, Lamp::Matrix34::setTransformationQuaternion(), Lamp::Matrix34::setTransformationXYZ(), translation_, validEuler_, and validQuaternion_. Referenced by Lamp::Bone::buildBoneMatrix(), Lamp::SceneNode::calcMatrix(), and Lamp::CollisionNode::traverseImplement().

virtual const Matrix34& Lamp::Axis3::getMatrix | ( |  | ) | const`[inline, virtual]`

| 行列の取得 Returns: 行列 Definition at line 181 of file Axis3.h. References Assert, isChanged_, and matrix_. Referenced by Lamp::SceneNode::getLocalMatrix(), Lamp::CollisionNode::getLocalMatrix(), and Lamp::Bone::getLocalMatrix().

virtual const Quaternion& Lamp::Axis3::getRotationQuaternion | ( |  | ) | `[inline, virtual]`

| 四元数回転の取得 Returns: 四元数回転 Definition at line 132 of file Axis3.h. References euler_, quaternion_, Lamp::Quaternion::setRotationXYZ(), and validQuaternion_. Referenced by Lamp::SceneNode::getRotationQuaternion(), Lamp::CollisionNode::getRotationQuaternion(), and Lamp::Bone::getRotationQuaternion().

virtual const Vector3& Lamp::Axis3::getRotationXYZ | ( |  | ) | `[inline, virtual]`

| XYZ回転の取得. Returns: XYZ回転 Definition at line 107 of file Axis3.h. References euler_, Lamp::Quaternion::getRotationXYZ(), quaternion_, and validEuler_. Referenced by Lamp::SceneNode::getRotationXYZ(), Lamp::CollisionNode::getRotationXYZ(), and Lamp::Bone::getRotationXYZ().

virtual const Vector3& Lamp::Axis3::getScale | ( |  | ) | const`[inline, virtual]`

| スケールの取得 Returns: スケール Definition at line 82 of file Axis3.h. References scale_. Referenced by Lamp::SceneNode::getScale(), Lamp::CollisionNode::getScale(), and Lamp::Bone::getScale().

virtual const Vector3& Lamp::Axis3::getTranslation | ( |  | ) | const`[inline, virtual]`

| 移動の取得 Returns: 移動 Definition at line 155 of file Axis3.h. References translation_. Referenced by Lamp::SceneNode::getTranslation(), Lamp::CollisionNode::getTranslation(), and Lamp::Bone::getTranslation().

virtual bool Lamp::Axis3::isChanged | ( |  | ) | const`[inline, virtual]`

| 軸が変更されているか Returns: 軸が変更されていればtrue Definition at line 191 of file Axis3.h. References isChanged_. Referenced by Lamp::SceneNode::isChanged(), and Lamp::CollisionNode::isChanged().

virtual bool Lamp::Axis3::isScaled | ( |  | ) | const`[inline, virtual]`

| スケールを使用しているか Returns: スケールを使用しているならtrue Definition at line 88 of file Axis3.h. References scale_. Referenced by Lamp::Bone::buildBoneMatrix(), Lamp::SceneNode::isScaled(), Lamp::CollisionNode::isScaled(), and Lamp::Bone::isScaled().

virtual void Lamp::Axis3::setRotationQuaternion | ( | const Quaternion & | rotation | ) | `[inline, virtual]`

  | 四元数回転の設定 Parameters:
  rotation | 四元数回転
Definition at line 120 of file Axis3.h. References isChanged_, quaternion_, validEuler_, and validQuaternion_. Referenced by Lamp::SceneNode::setRotationQuaternion(), Lamp::CollisionNode::setRotationQuaternion(), and Lamp::Bone::setRotationQuaternion().

virtual void Lamp::Axis3::setRotationXYZ | ( | const Vector3 & | rotation | ) | `[inline, virtual]`

  | XYZ回転の設定. Parameters:
  rotation | XYZ回転
Definition at line 95 of file Axis3.h. References euler_, isChanged_, validEuler_, and validQuaternion_. Referenced by Lamp::SceneNode::setRotationXYZ(), Lamp::CollisionNode::setRotationXYZ(), and Lamp::Bone::setRotationXYZ().

virtual void Lamp::Axis3::setScale | ( | const Vector3 & | scale | ) | `[inline, virtual]`

  | スケールの設定 Parameters:
  scale | スケール
Definition at line 72 of file Axis3.h. References isChanged_, and scale_. Referenced by Lamp::SceneNode::setScale(), Lamp::CollisionNode::setScale(), and Lamp::Bone::setScale().

virtual void Lamp::Axis3::setTranslation | ( | const Vector3 & | translation | ) | `[inline, virtual]`

  | 移動の設定 Parameters:
  translation | 移動
Definition at line 145 of file Axis3.h. References isChanged_, and translation_. Referenced by Lamp::SceneNode::setTranslation(), Lamp::CollisionNode::setTranslation(), and Lamp::Bone::setTranslation().

The documentation for this class was generated from the following file:

- Axis3.h